package controller

import (
	"github.com/gin-gonic/gin"

	"dev.sum7.eu/genofire/meetandeat/controller/api"
	"dev.sum7.eu/genofire/meetandeat/controller/examples"
)

func Bind(r *gin.RouterGroup) {
	group := r.Group("/examples")
	{
		examples.Bind(group)
	}
	group = r.Group("/api")
	{
		api.Bind(group)
	}

	r.GET("/status", status)
}
