package api

import (
	"github.com/gin-gonic/gin"
)

func Bind(r *gin.RouterGroup) {

	r.GET("/date", getDateAll)
	r.POST("/date", addDate)
	r.GET("/date/:id", getDate)
	r.POST("/date/:id/meet", addDateMeet)

	r.GET("/job", getJobAll)
	r.POST("/job", addJob)

	r.GET("/person", getPersonAll)
	r.POST("/person", addPerson)
}
